Skip to main content
Get Forms Submissions
GET https://services.leadconnectorhq.com/forms/submissions

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Query parameters

locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
page
number
default:"1"
Page No. By default it will be 1
limit
number
default:"20"
Limit Per Page records count. will allow maximum up to 100 and default will be 20
formId
string
default:"jjusM6EOngDExnbo2DbU"
Filter submission by form id
q
string
default:"john@deo.com"
Filter by contactId, name, email or phone no.
startAt
string
default:"2020-11-14"
Get submission by starting of this date. By default it will be same date of last month(YYYY-MM-DD).
endAt
string
default:"2020-12-14"
Get submission by ending of this date. By default it will be current date(YYYY-MM-DD).

Respuestas

submissions
object[]
meta
object
{
  "submissions": [
    {
      "id": "38303ec7-629a-49e2-888a-cf8bf0b1f97e",
      "contactId": "DWQ45t2IPVxi9LDu1wBl",
      "createdAt": "2021-06-23T06:07:04.000Z",
      "formId": "YSWdvS4Is98wtIDGnpmI",
      "name": "test",
      "email": "test@test.com",
      "others": {
        "__submissions_other_field__": "john@deo.com",
        "__custom_field_id__": "20",
        "eventData": {},
        "fieldsOriSequance": [
          "full_name",
          "first_name",
          "last_name",
          "phone",
          "email"
        ]
      }
    }
  ],
  "meta": {
    "total": 1,
    "currentPage": 1
  }
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/forms/submissions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/forms/submissions', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/forms/submissions',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/forms/submissions');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);